<?php include 'menu.php'; ?>
<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Ajout téléphone</title>
  <link rel="stylesheet" href="css/ajout_cell.css">
  <link rel="stylesheet" href="css/menu.css">
</head>
<body>

<h2>Ajout d’un téléphone</h2>
<form method="POST" action="traitement_cell.php">

  <div class="section">
    <h3>Informations générales</h3>
    <div class="row">
      <div>
        <label>Date de transaction</label>
        <input type="date" name="date_transaction" required>
      </div>
      <div>
        <label>Type</label>
        <select name="type_transaction" required>
          <option value="En Vérification">En vérification</option>
          <option value="Mis en vente">Mise en vente</option>
          <option value="Vendu">Vendu</option>
        </select>
      </div>
      <div>
        <label>Nom du client</label>
        <input type="text" name="client_nom" required>
      </div>
    </div>

    <div class="row">
      <div>
        <label>Marque</label>
        <input type="text" name="marque" required>
      </div>
      <div>
        <label>Modèle</label>
        <input type="text" name="modele" required>
      </div>
      <div>
        <label>IMEI</label>
        <input type="text" name="imei" required>
      </div>
    </div>

    <div class="row">
      <div>
        <label>Prix de vente</label>
        <input type="number" step="0.01" name="prix_vente">
      </div>
      <div>
        <label>Prix payé</label>
        <input type="number" step="0.01" name="prix_paye">
      </div>
    </div>
  </div>
<div class="section">
  <h3>Vérifications techniques</h3>
  <div class="verif-grid">
    <?php
    $champs = [
      "lcd" => "LCD", "reinitialise" => "Réinitialisé", "batterie" => "Batterie", "reseau" => "Réseau Cell",
      "port_charge" => "Port de charge", "charge_sans_fil" => "Charge sans fil", "loudspeaker" => "Haut-parleur",
      "earspeaker" => "Écouteur", "proximite" => "Capteur de proximité", "vibration" => "Vibration",
      "bluetooth" => "Bluetooth", "empreinte" => "Empreinte digitale", "face_id" => "Face ID", "boutons" => "Boutons"
    ];
    $options = ["Correct", "Défectueux", "N/A"];
    foreach ($champs as $champ => $label) {
      echo "<div class='verif-item'><span>$label :</span><div class='verif-options'>";
      if ($champ === "reinitialise") {
        foreach (["Oui", "Non"] as $opt) {
          echo "<label><input type='radio' name='$champ' value='$opt'> $opt</label>";
        }
      } else {
        foreach ($options as $opt) {
          echo "<label><input type='radio' name='$champ' value='$opt'> $opt</label>";
        }
      }
      echo "</div></div>";
    }
    ?>
  </div>
</div>
<div class="section">
  <h3>Informations techniques</h3>
  <div class="row">
    <div>
      <label>Date de vérification</label>
      <input type="date" name="date_verification" required>
    </div>
    <div>
      <label>Technicien</label>
      <select name="technicien" required>
        <option value="">-- Choisir --</option>
        <option value="Guillaume Lejeune">Guillaume Lejeune</option>
        <option value="Yan Larocque">Yan Larocque</option>
        <option value="Remi Lessard">Remi Lessard</option>
      </select>
    </div>
  </div>

  <div class="row">
    <div style="width: 100%;">
      <label>Commentaire</label>
      <textarea name="commentaire" rows="4" style="width: 100%; resize: vertical;"></textarea>
    </div>
  </div>
</div>
<div class="section" style="text-align: center;">
  <button type="submit" style="padding: 12px 30px; font-size: 16px; font-weight: bold; border: none; border-radius: 8px; background-color: #333; color: white; cursor: pointer;">
    Enregistrer
  </button>
</div>

</form>
</body>
</html>