<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
// ... le reste de ton code
?>

<?php include 'connexion_db.php'; ?>
<?php include 'menu.php'; ?>

<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Liste des téléphones</title>
  <link rel="stylesheet" href="css/cell.css">
  <link rel="stylesheet" href="css/menu.css">
</head>
<body>

<h2>Liste des téléphones</h2>

<div class="search-bar">
  <form method="get" action="">
    <input type="text" name="search" placeholder="Rechercher..." value="<?= htmlspecialchars($_GET['search'] ?? '') ?>">
    <button type="submit">Rechercher</button>
  </form>
</div>

<div class="barre-haut">
  <div class="filtre-btns">
  <a class="filtre-btn" data-filtre="En Vérification" href="#">En vérification</a>
<a class="filtre-btn" data-filtre="Mis en vente" href="#">Mise en vente</a>
<a class="filtre-btn" data-filtre="Vendu" href="#">Vendu</a>
<a class="filtre-btn" data-filtre="" href="#">Tous</a>
  </div>
  <div id="loader" style="display:none; text-align:center; margin-top:20px;">
  <span style="font-size: 14px; color: #666;">Chargement...</span>
</div>

  <div class="add-cell-btn">
    <a href="ajout_cell.php">+ Ajouter un téléphone</a>
  </div>
</div>

<?php
$search = isset($_GET['search']) ? $conn->real_escape_string($_GET['search']) : '';
$filtre = isset($_GET['filtre']) ? $conn->real_escape_string($_GET['filtre']) : '';

$sql = "SELECT id, marque, modele, imei, type_transaction FROM verifications_telephone";
$where = [];

if ($search !== '') {
  $where[] = "(marque LIKE '%$search%' OR modele LIKE '%$search%' OR imei LIKE '%$search%' OR id LIKE '%$search%')";
}
if ($filtre !== '') {
  $where[] = "type_transaction = '$filtre'";
}
if (count($where) > 0) {
  $sql .= " WHERE " . implode(" AND ", $where);
}

$result = $conn->query($sql);

echo "<div class='grid'>";
if ($result && $result->num_rows > 0) {
  while ($row = $result->fetch_assoc()) {
   $type = $row['type_transaction'];
$couleur = '';

switch ($type) {
  case 'En Vérification':
    $couleur = 'statut-verif';
    break;
  case 'Mis en vente':
    $couleur = 'statut-vente';
    break;
  case 'Vendu':
    $couleur = 'statut-vendu';
    break;
  default:
    $couleur = 'statut-autre';
}

echo "<div class='card $couleur' onclick=\"location.href='fiche_cell.php?id=" . $row['id'] . "'\">";

    echo "<strong>" . htmlspecialchars($row['marque']) . " " . htmlspecialchars($row['modele']) . "</strong><br>";
    echo "IMEI : " . htmlspecialchars($row['imei']) . "<br>";
    echo "Statut : " . htmlspecialchars($row['type_transaction']);
    echo "</div>";
  }
} else {
  echo "<p style='text-align:center;'>Aucun téléphone trouvé.</p>";
}
echo "</div>";
?>
<script src="js/cell.js"></script>
</body>
</html>
