<?php
include("connexion_db.php");

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if (!isset($_GET['id_cell'])) {
    echo "ID du téléphone non spécifié.";
    exit;
}

$id_cell = intval($_GET['id_cell']);

$sql = "SELECT * FROM cellulaire WHERE id_cell = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $id_cell);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows === 0) {
    echo "Téléphone introuvable.";
    exit;
}

$cell = $result->fetch_assoc();
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Fiche du téléphone</title>
    <link rel="stylesheet" href="css/fiche_cell.css">
</head>
<body>

<?php include("menu.php"); ?>

<div class="container">
    <h1>Fiche du téléphone #<?= htmlspecialchars($id_cell) ?></h1>

    <p><strong>Modèle :</strong> <?= htmlspecialchars($cell['modele']) ?></p>
    <p><strong>IMEI :</strong> <?= htmlspecialchars($cell['imei']) ?></p>
    <p><strong>Prix payé :</strong> <?= htmlspecialchars($cell['prix_paye']) ?>$</p>
    <p><strong>Prix de vente :</strong> <?= htmlspecialchars($cell['prix_vente']) ?>$</p>
    <p><strong>Date de transaction :</strong> <?= htmlspecialchars($cell['date_transaction']) ?></p>
    <p><strong>Type :</strong> <?= htmlspecialchars($cell['type']) ?></p>
    <p><strong>Vendeur :</strong> <?= htmlspecialchars($cell['vendeur']) ?></p>
    <p><strong>Date de vérification :</strong> <?= htmlspecialchars($cell['date_verification']) ?></p>
    <p><strong>Technicien :</strong> <?= htmlspecialchars($cell['technicien']) ?></p>

    <h2>Vérifications techniques</h2>
    <ul>
        <li>LCD : <?= htmlspecialchars($cell['lcd']) ?></li>
        <li>Réinitialisé : <?= htmlspecialchars($cell['reinitialise']) ?></li>
        <li>Batterie : <?= htmlspecialchars($cell['batterie']) ?></li>
        <li>Réseau : <?= htmlspecialchars($cell['reseau']) ?></li>
        <li>Port de charge : <?= htmlspecialchars($cell['port_charge']) ?></li>
        <li>Charge sans fil : <?= htmlspecialchars($cell['charge_sans_fil']) ?></li>
        <li>Haut-parleur : <?= htmlspecialchars($cell['loudspeaker']) ?></li>
        <li>Écouteur : <?= htmlspecialchars($cell['earspeaker']) ?></li>
        <li>Capteur de proximité : <?= htmlspecialchars($cell['capteur']) ?></li>
        <li>Vibration : <?= htmlspecialchars($cell['vibration']) ?></li>
        <li>Bluetooth : <?= htmlspecialchars($cell['bluetooth']) ?></li>
        <li>Empreinte digitale : <?= htmlspecialchars($cell['empreinte']) ?></li>
        <li>Face ID : <?= htmlspecialchars($cell['faceid']) ?></li>
        <li>Boutons : <?= htmlspecialchars($cell['boutons']) ?></li>
    </ul>

    <h3>Commentaire :</h3>
    <p><?= htmlspecialchars($cell['commentaire']) ?></p>

    <div style="margin-top: 30px;">
        <a href="modif_cell.php?id_cell=<?= $id_cell ?>"><button>Modifier</button></a>
    </div>

</div>

</body>
</html>
