<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include 'connexion_db.php';

// Vérifie qu'on a bien reçu un ID
if (!isset($_GET['id'])) {
    die("ID non spécifié.");
}

$id = intval($_GET['id']);
$sql = "SELECT * FROM verifications_telephone WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $id);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows === 0) {
    die("Téléphone non trouvé.");
}

$cell = $result->fetch_assoc();
?>
<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Fiche téléphone - <?= htmlspecialchars($cell['marque'] . ' ' . $cell['modele']) ?></title>
  <link rel="stylesheet" href="css/imprimer_cell.css">
  <style>
    @media print {
      body { margin: 0; }
      .noprint { display: none; }
    }
  </style>
</head>
<body onload="window.print()">

<div class="fiche">
  <h1>Fiche Téléphone #<?= htmlspecialchars($cell['id']) ?></h1>

  <section>
    <h2>Informations générales</h2>
    <p><strong>Modèle :</strong> <?= htmlspecialchars($cell['marque']) ?> <?= htmlspecialchars($cell['modele']) ?></p>
    <p><strong>IMEI :</strong> <?= htmlspecialchars($cell['imei']) ?></p>
    <p><strong>Type :</strong> <?= htmlspecialchars($cell['type_transaction']) ?></p>
    <p><strong>Client :</strong> <?= htmlspecialchars($cell['client_nom']) ?></p>
    <p><strong>Prix payé :</strong> <?= htmlspecialchars($cell['prix_paye']) ?> $</p>
    <p><strong>Prix de vente :</strong> <?= htmlspecialchars($cell['prix_vente']) ?> $</p>
    <p><strong>Date transaction :</strong> <?= htmlspecialchars($cell['date_transaction']) ?></p>
  </section>

  <section>
    <h2>Vérification technique</h2>
    <ul>
    <li>LCD : <?= htmlspecialchars($cell['lcd'] ?? '') ?></li>
<li>Réinitialisé : <?= htmlspecialchars($cell['reinitialise'] ?? '') ?></li>
<li>Batterie : <?= htmlspecialchars($cell['batterie'] ?? '') ?></li>
<li>Réseau : <?= htmlspecialchars($cell['reseau'] ?? '') ?></li>
<li>Port de charge : <?= htmlspecialchars($cell['port_charge'] ?? '') ?></li>
<li>Charge sans fil : <?= htmlspecialchars($cell['charge_sans_fil'] ?? '') ?></li>
<li>Haut-parleur : <?= htmlspecialchars($cell['loudspeaker'] ?? '') ?></li>
<li>Écouteur : <?= htmlspecialchars($cell['earspeaker'] ?? '') ?></li>
<li>Capteur de proximité : <?= htmlspecialchars($cell['proximite'] ?? '') ?></li>
<li>Vibration : <?= htmlspecialchars($cell['vibration'] ?? '') ?></li>
<li>Bluetooth : <?= htmlspecialchars($cell['bluetooth'] ?? '') ?></li>
<li>Empreinte digitale : <?= htmlspecialchars($cell['empreinte'] ?? '') ?></li>
<li>Face ID : <?= htmlspecialchars($cell['face_id'] ?? '') ?></li>
<li>Boutons : <?= htmlspecialchars($cell['boutons'] ?? '') ?></li>

    </ul>
  </section>

  <section>
    <h2>Technicien et remarque</h2>
    <p><strong>Technicien :</strong> <?= htmlspecialchars($cell['technicien']) ?></p>
    <p><strong>Date de vérification :</strong> <?= htmlspecialchars($cell['date_verification']) ?></p>
    <p><strong>Commentaire :</strong><br><?= nl2br(htmlspecialchars($cell['commentaire'])) ?></p>
  </section>
</div>

</body>
</html>
