const input = document.querySelector('input[name="search"]');
const container = document.querySelector('.grid');
const boutonsFiltre = document.querySelectorAll('.filtre-btn');

let filtreActif = "";

input.addEventListener('input', () => {
  fetchResultats();
});

boutonsFiltre.forEach(bouton => {
  bouton.addEventListener('click', (e) => {
    e.preventDefault();
    filtreActif = bouton.dataset.filtre;
    fetchResultats();
  });
});

function fetchResultats() {
  const search = input.value;
  const loader = document.getElementById('loader');

  loader.style.display = "block";

  fetch(`php/recherche_cell.php?search=${encodeURIComponent(search)}&filtre=${encodeURIComponent(filtreActif)}`)
    .then(res => res.text())
    .then(data => {
      container.innerHTML = data;
      loader.style.display = "none";
    })
    .catch(err => {
      container.innerHTML = "<p style='text-align:center;color:red;'>Erreur de chargement</p>";
      loader.style.display = "none";
    });
}
