<?php
// Affichage des erreurs pour debug
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include("connexion_db.php");

?>

<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Liste des bons de travail</title>
  <link rel="stylesheet" href="css/liste_bon_travail.css">
  <link rel="stylesheet" href="css/menu.css">
  <script src="js/liste_bon_travaille.js" defer></script>
</head>
<body>

<?php include("menu.php"); ?>

<div class="container">
  <h1>Liste des bons de travail</h1>
  <input type="text" id="searchInput" placeholder="Rechercher un bon, un client, un appareil..." />

  <table id="bonsTable">
    <thead>
      <tr>
        <th>#Bon</th>
        <th>Date</th>
        <th>Nom du client</th>
        <th>Succursale</th>
        <th>Appareil déposé</th>
      </tr>
    </thead>
    <tbody>
<?php
$sql = "SELECT id_bon, date_creation, nom_prenom, succursale, appareil_deposer FROM bon_travail ORDER BY date_creation DESC";
$result = $conn->query($sql);

if (!$result) {
    echo "<tr><td colspan='5'>Erreur SQL : " . $conn->error . "</td></tr>";
} elseif ($result->num_rows === 0) {
    echo "<tr><td colspan='5'>Aucun bon trouvé (résultat vide)</td></tr>";
} else {
    while ($row = $result->fetch_assoc()) {
        echo "<tr onclick=\"window.location.href='bon_impression.php?id_bon={$row['id_bon']}'\">";
        echo "<td>" . htmlspecialchars($row['id_bon']) . "</td>";
        echo "<td>" . htmlspecialchars($row['date_creation']) . "</td>";
        echo "<td>" . htmlspecialchars($row['nom_prenom']) . "</td>";
	$succursale_affiche = match($row['succursale']) {
    'stgregoire' => 'Saint-Grégoire',
    'drummond' => 'Drummondville',
    'sherbrooke' => 'Sherbrooke',
    default => ucfirst($row['succursale']), // au cas où
};

echo "<td>" . htmlspecialchars($succursale_affiche) . "</td>";

        echo "<td>" . htmlspecialchars($row['appareil_deposer']) . "</td>";
        echo "</tr>";
    }
}
?>
    </tbody>
  </table>
</div>

</body>
</html>
