<?php
echo "<pre>"; var_dump($_GET); echo "</pre>"; exit;

include("connexion_db.php");

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Récupérer l'ID du téléphone depuis l'URL
if (!isset($_GET['id_cell'])) {
    echo "ID du téléphone non spécifié.";
    exit;
}

$id_cell = intval($_GET['id_cell']);

$sql = "SELECT * FROM cellulaire WHERE id_cell = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $id_cell);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows === 0) {
    echo "Téléphone introuvable.";
    exit;
}

$data = $result->fetch_assoc();
?>

<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Modifier la fiche du téléphone #<?= htmlspecialchars($id_cell) ?></title>
  <link rel="stylesheet" href="css/fiche_cell.css">
</head>
<body>

<?php include("menu.php"); ?>

<div class="container">
  <h1>Modifier la fiche du téléphone #<?= htmlspecialchars($id_cell) ?></h1>
  <form action="traitement_modif_cell.php" method="post">
    <input type="hidden" name="id_cell" value="<?= htmlspecialchars($id_cell) ?>">

    <label for="modele">Modèle</label>
    <input type="text" name="modele" value="<?= htmlspecialchars($data['modele']) ?>">

    <label for="imei">IMEI</label>
    <input type="text" name="imei" value="<?= htmlspecialchars($data['imei']) ?>">

    <label for="prix_vente">Prix de vente</label>
    <input type="text" name="prix_vente" value="<?= htmlspecialchars($data['prix_vente']) ?>">

    <label for="prix_paye">Prix payé</label>
    <input type="text" name="prix_paye" value="<?= htmlspecialchars($data['prix_paye']) ?>">

    <!-- Ajoute les autres champs ici selon ta base de données -->

    <button type="submit">Enregistrer</button>
  </form>
</div>

</body>
</html>
